tag {git2r} | R Documentation

## Create tag targeting HEAD commit in repository

### Description

Create tag targeting HEAD commit in repository

### Usage

    tag(object, name, message, session = FALSE,
      tagger = default_signature(object))

    ## S4 method for signature 'git_repository'
    tag(object, name, message, session = FALSE,
      tagger = default_signature(object))

### Arguments

`object` | The repository `object`.
`name` | Name for the tag.
`message` | The tag message.
`session` | Add sessionInfo to tag message. Default is FALSE.
`tagger` | The tagger (author) of the tag

### Value

invisible(`git_tag`) object

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Commit a text file
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Create tag
    tag(repo, "Tagname", "Tag message")

    ## List tags
    tags(repo)

    ## End(Not run)

[Package git2r version 0.20.0 Index]